%define	upstream_name	 Gtk2-Ex-Simple-List
%define	upstream_version 0.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	A simple interface to Gtk2's complex MVC list widget
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/R/RM/RMCFARLA/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Gtk2)
BuildArch:	noarch


%description
Gtk2 has a powerful, but complex MVC (Model, View, Controller) system used to
implement list and tree widgets. Gtk2::Ex::Simple::List automates the complex
setup work and allows you to treat the list model as a more natural list of
lists structure.

After creating a new Gtk2::Ex::Simple::List object with the desired columns you
may set the list data with a simple Perl array assignment. Rows may be added or
deleted with all of the normal array operations. You can treat the data member
of the Simple::List object as an array reference, and manipulate the list data
with perl's normal array operators.

A mechanism has also been put into place allowing columns to be Perl scalars.
The scalar is converted to text through Perl's normal mechanisms and then
displayed in the list. This same mechanism can be expanded by defining
arbitrary new column types before calling the new function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Gtk2

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.500.0-11.mga10
+ Revision: 2213406
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.500.0-10.mga9
+ Revision: 1838377
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.500.0-9.mga8
+ Revision: 1494798
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.500.0-8.mga7
+ Revision: 1268399
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-7.mga6
+ Revision: 1028026
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.500.0-6.mga6
+ Revision: 937855
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-5.mga5
+ Revision: 742318
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-4.mga5
+ Revision: 684903
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.500.0-3.mga4
+ Revision: 511963
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 367874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 36914
- mageia rebuild
- imported package perl-Gtk2-Ex-Simple-List


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.500.0-1mdv2010.0
+ Revision: 403229
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.50-6mdv2009.0
+ Revision: 257146
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-4mdv2008.1
+ Revision: 133633
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-3mdv2007.0
- Rebuild

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-2mdv2007.0
- Rebuild

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdk
- first mdk release

